geos::index::sweepline::SweepLineIndex Class Reference

A sweepline implements a sorted index on a set of intervals. More...

`#include <SweepLineIndex.h>`

## Public Member Functions

void | add (SweepLineInterval *sweepInt)
void | computeOverlaps (SweepLineOverlapAction *action)

## Detailed Description

A sweepline implements a sorted index on a set of intervals.

It is used to compute all overlaps between the interval in the index.

The documentation for this class was generated from the following file:

- SweepLineIndex.h